Bug 132359 - Gnome-cd segfaults when trying to play an audio cd
Summary: Gnome-cd segfaults when trying to play an audio cd
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-media   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Colin Walters
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 131589
TreeView+ depends on / blocked
 
Reported: 2004-09-11 16:10 UTC by Charlie Lesh
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: 2.8.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-14 21:49:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Charlie Lesh 2004-09-11 16:10:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
Gnome-cd segfaults when trying to play an audio cd.

Upon inserting an audio cd, gnome-cd appears. The cddb information is
correctly retrieved. However, the cd never actually plays, and soon
gnome-cd segfaults.

When run from the command line, I see the following message:

(gnome-cd:4352): GLib-CRITICAL **: file gstrfuncs.c: line 1743
(g_ascii_strcasecmp): assertion `s1 != NULL' failed
Segmentation fault



Version-Release number of selected component (if applicable):
gnome-media-2.7.92-7

How reproducible:
Always

Steps to Reproduce:
1. Insert audio cd.
2. Wait.
    

Actual Results:  segfault

Expected Results:  audio cd should play

Additional info:

like i said above, the cddb information is correctly retrieved.
And, sound juicer works.

Comment 1 Ralf Corsepius 2004-09-13 12:09:59 UTC
The GLib-CRITICAL warning seem to originate from priv->cd_device being
NULL in this call to g_object_set in gst-cdrom-paranoia.c below:

[Except of a gdb session]

214         g_object_set (G_OBJECT (priv->cdparanoia), "location",
215                       priv->cd_device, NULL);


(gdb) where 
#0  build_pipeline (lcd=0x9b12f58) at gst-cdparanoia-cdrom.c:214
...
(gdb) print priv->cd_device
$13 = 0x0
(gdb) next

(gnome-cd:28242): GLib-CRITICAL **: file gstrfuncs.c: line 1727
(g_ascii_strcasecmp): assertion `s1 != NULL' failed


Comment 2 Colin Walters 2004-09-14 21:49:27 UTC
This one should be fixed in gnome-media 2.8.0.


Note You need to log in before you can comment on or make changes to this bug.